[Bug 1755383] Re: package samba 2:4.6.7+dfsg-1ubuntu3.1 failed to install/upgrade: subprocess installed post-installation script returned error exit status 1

Andreas Hasenack andreas at canonical.com
Fri Mar 16 17:08:34 UTC 2018


*** This bug is a duplicate of bug 1731502 ***
    https://bugs.launchpad.net/bugs/1731502

nmbd (the netbios name resolution daemon) will not work on a ppp0 link,
because it doesn't have a broadcast address.

I suggest you disable the samba services if you are not going to use
them very often, or at least disable the nmbd one. And only bring them
up when you actually want to share something on your local network and
have eth0 up and connected.

To disable nmbd:

sudo systemctl stop nmbd.service # might fail because it's not running, that's ok
sudo systemctl disable nmbd.service


To disable smbd, it's similar:
sudo systemctl stop smbd.service
sudo systemctl disable smbd.service

Then tell apt to try to fix the remaining installation issues:
sudo apt update
sudo apt -f install


The message below which you might still see is harmless:
/usr/bin/deb-systemd-helper: error: systemctl preset failed on samba-ad-dc.service: No such file or directory


Whenever you want to use samba again, run the systemctl commands again with "start" instead of "stop". Or remove the samba-common packages altogether.

-- 
You received this bug notification because you are a member of Ubuntu
Server, which is subscribed to samba in Ubuntu.
https://bugs.launchpad.net/bugs/1755383

Title:
  package samba 2:4.6.7+dfsg-1ubuntu3.1 failed to install/upgrade:
  subprocess installed post-installation script returned error exit
  status 1

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/samba/+bug/1755383/+subscriptions



More information about the Ubuntu-server-bugs mailing list